List collection attempts by a given collection ID
Lists collection attempts for a specific collection with pagination and filtering.
AuthorizationBearer <token>
In: header
Scope: collections:readonly
Path Parameters
collection_idstring
The collection ID
Match
^[A-Za-z]{2,7}_[\w-]{22}$Example
"bbcol_5tgliBmzjZ6mpQPRbQjfKj"Query Parameters
page_number?integer
Number of the page
Default
1Range
1 <= valueExample
1page_size?integer
Amount of registers that must be listed by page
Default
10Range
10 <= value <= 500Example
10sort?object
Sorts the collection attempts according to the types and fields.
Default
{"field":"inserted_at","type":"desc"}inserted_at?object
Filter by inserted_at field, it works as with range of date/time.
state?string
Filter by attempt state
Value in
"created" | "successful" | "rejected" | "failed"key_value?string
Filter by key value
end_to_end_id?string
Filter by end-to-end ID
tenant_account_id?string
Filter by tenant account ID
Match
^[A-Za-z]{2,7}_[\w-]{22}$Example
"bbtacc_5tgliBmzjZ6mpQPRbQjfKj"Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://breb-participant.sandbox.mono.la/api/v1/collections/bbcol_5tgliBmzjZ6mpQPRbQjfKj/attempts"{
"attempts": [
{
"amount": {
"amount": 100000000,
"currency": "COP"
},
"collection_id": "bbcol_5tgliBmzjZ6mpQPRbQjfKj",
"end_to_end_id": "20250928900406150CRB000000000000066",
"id": "bbcolat_5tgliBmzjZ6mpQPRbQjfKj",
"inserted_at": "2022-01-01T01:00:00Z",
"key_type": "alphanumeric",
"key_value": "@MN1234567890",
"payer": {
"document_number": "1234567890",
"document_type": "CC",
"full_name": "Juan Pérez",
"type": "natural"
},
"payer_account": {
"currency_code": "COP",
"number": "1234567890",
"type": "savings_account"
},
"state": "successful",
"state_reason": null,
"tenant_account_id": "bbtacc_5tgliBmzjZ6mpQPRbQjfKj",
"updated_at": "2022-01-01T01:00:00Z"
}
],
"pagination": {
"page_number": 1,
"page_size": 10,
"total_items": 100,
"total_pages": 10
}
}{
"code": "401 Unauthorized",
"errors": [
{
"error_code": "missing_authorization_header",
"message": "`Authorization` header is missing.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Authorization header is missing or invalid."
}{
"code": "403 Forbidden",
"errors": [
{
"error_code": "not_authorized",
"message": "Not authorized to have access to this resource.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Not authorized to have access to this resource"
}{
"code": "404 Not Found",
"errors": [
{
"error_code": "collection_not_found",
"message": "The collection doesn't exist",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Resource not defined"
}{
"code": "500 Internal Server Error",
"errors": [
{
"error_code": "internal_error",
"message": "An unexpected error occurred",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Something went wrong on the Server"
}